Bug 847443 - gnome-session fails in vnc server when started from a terminal in a gnome :0 session
gnome-session fails in vnc server when started from a terminal in a gnome :0 ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 06:29 EDT by Albert Flügel
Modified: 2013-01-04 15:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-04 15:53:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Flügel 2012-08-11 06:29:55 EDT
Description of problem:
When starting vncserver from a terminal in a gnome-session
with gnome-session in the .vnc/xstartup file, gnome session
fails to start. In the log $HOME/.vnc/hostname:1.log appears:
gnome-session[6956]: WARNING: Failed to acquire org.gnome.SessionManager

and when connecting with a vncviewer one sees a window
showing: Could not acquire name on session bus
with the only additional button: Log out
When pressing Log out, Xvnc remains running, however,
but this is a different thing.

When doing ssh localhost and starting the vncserver then
(in this different login), it works (!) normally: The
session starts. So i think it has to do with the environment
in the non-VNC normal session.


Version-Release number of selected component (if applicable):
gnome-session-3.4.2-1.fc17.x86_64


How reproducible:


Steps to Reproduce:
1. start vncserver in a gnome session
2. connect the Xvnc using vncviewer
3. see the created logfile
  
Actual results:
gnome session does not start

Expected results:
gnome session starts normally

Additional info:
see above
Comment 1 Albert Flügel 2012-12-11 16:07:25 EST
Nowadays, the additional problem occurs, that when trying to lock the screen, the gnome-screensaver process dies with segmentation fault. In the vnc log one can read:
gnome-session[14172]: WARNING: Detected that screensaver has left the bus.
Furthermore the gnome-shell becomes dysfunctional. All the window manager functions are gone (no more panel, no more ways to leave or change the session). It is possible in a different shell to gnome-shell --replace and to start another screensaver. When again trying to lock the screen, the same thing happens again.

Should i open a different bug report ?
Comment 2 Albert Flügel 2013-01-04 15:53:50 EST
The problem with the crashing screensaver in VNC is gone with gnome-screensaver updated to the current release.
The mainly reported issue can be workarounded adding to the .vnc/xstartup file:

unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
export SESSION_MANAGER
export DBUS_SESSION_BUS_ADDRESS

Note You need to log in before you can comment on or make changes to this bug.